﻿
Public Class AccountTest
    Private objSavingsAccount As New Account(100) ' create an Account object

    ' display the initial account balance when program executes
    Private Sub AccountTest_Load(sender As Object,
       e As EventArgs) Handles MyBase.Load

        AccountTypeComboBox.SelectedIndex = 0

        ShowBalance()
    End Sub ' AccountTest_Load

    ' process a deposit
    Private Sub depositButton_Click(sender As Object,
       e As EventArgs) Handles depositButton.Click

        Try
            ' get deposit amount
            Dim DepositAmountDecimal As Decimal =
               Convert.ToDecimal(inputTextBox.Text)

            ' savings
            objSavingsAccount.Deposit(DepositAmountDecimal) ' make the deposit

        Catch ex As ArgumentOutOfRangeException
            MessageBox.Show("Deposit amount must be positive.",
               "Error", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

        ShowBalance()

        inputTextBox.Clear() ' clear the inputTextBox
        inputTextBox.Focus() ' allow user to type in the inputTextBox
    End Sub ' depositButton_Click

    ' process a withdrawal
    Private Sub withdrawButton_Click(sender As Object,
       e As EventArgs) Handles withdrawButton.Click

        Try
            ' get withdrawal amount
            Dim WithdrawalAmountDecimal As Decimal =
               Convert.ToDecimal(inputTextBox.Text)
            ' savings
            objSavingsAccount.Withdraw(WithdrawalAmountDecimal) ' make the deposit

        Catch ex As ArgumentOutOfRangeException
            MessageBox.Show("Withdrawal amount must be greater than 0 " &
               "and less than or equal to the account balance.",
               "Error", MessageBoxButtons.OK, MessageBoxIcon.Error)
        End Try

        ShowBalance()


        inputTextBox.Clear() ' clear the inputTextBox
        inputTextBox.Focus() ' allow user to type in the inputTextBox
    End Sub ' withdrawButton_Click

    Private Sub AccountTypeComboBox_SelectedIndexChanged(sender As Object, e As EventArgs) Handles AccountTypeComboBox.SelectedIndexChanged
        ' savings
        ShowBalance()

    End Sub

    Sub ShowBalance()
        ' savings
        accountBalanceValueLabel.Text =
                  String.Format("{0:C}", objSavingsAccount.Balance)
    End Sub
End Class ' AccountTest
